commit:     bafe21cc13492a710191e36ce9660b1f50575d22
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 23 22:22:35 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Jul 23 22:23:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bafe21cc

net-misc/iputils: bump to v20210722

Package-Manager: Portage-3.0.21, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 net-misc/iputils/Manifest                |   2 +
 net-misc/iputils/iputils-20210722.ebuild | 173 +++++++++++++++++++++++++++++++
 2 files changed, 175 insertions(+)

diff --git a/net-misc/iputils/Manifest b/net-misc/iputils/Manifest
index 9743e063f14..76291183702 100644
--- a/net-misc/iputils/Manifest
+++ b/net-misc/iputils/Manifest
@@ -1,2 +1,4 @@
 DIST iputils-20210202.tar.gz 513055 BLAKE2B 
37f3c10ff3918d40fe2eae1e4b19ed711b97c30cd2d682e42f484a11a28ab7c93975a51fbb7a8b1c1d725fc9051ae773bc2e81b9d80a2dd0e6ff55867d54875d
 SHA512 
af600fe74e1b78c0da66c378f55eb468d62206aaae1864693f7ec79833c9c0de95843573d1792627695f08ecfcdb4e79c354065daf178d393fcc6ef9a8a5d526
+DIST iputils-20210722.tar.gz 530745 BLAKE2B 
4d6a2afaea1027e7992d374bbaa300f952f56225c998ecc6c3d332fef046dd8032e5afaff1cdc916d048f9d84cc8a85736a26a3176e66e111e02c9dbfcb0f195
 SHA512 
8f85bf468f8ef1e2832e9bbf9009552df4a6d723dd130fa0d5b2aa3bae617c972f936143c2370c3b4ce2ba2499828c91a299ee42cf81fa81aabe10552db2b328
 DIST iputils-manpages-20210202.tar.xz 19204 BLAKE2B 
b9d43962890ae5fe9e4c21fb23c8911c22cbfb35a28521a2f0611d7813e4c21979f6b309569cdb57dd9b3a30653278982194ca08a815cfb41566a379930d124b
 SHA512 
d5cced9a5e4acffbe35d20a796d038336d06f512c3ee47bc6e37782b4645d5c35b16e18aaae298547b60fe644e5608efe7847f2de6175bfcd39128d230ee4cd1
+DIST iputils-manpages-20210722.tar.xz 19208 BLAKE2B 
7d6b126debeee2a4e5437b7d26a9fee5c759ae72fa9b7acb1a04bb673f14af742f5580aad6ae1c34048933d95d09c4adcf024fabdc20851297131877cbfa10d0
 SHA512 
c1521e76f5b8cb99d7226ca1bd916b1861b6c0f9655ad0e396dd8d997be6cdc37ee0e81ac325ea4ebb3b349b394e7f1c45081ddc25b778fd294928a7b2dc0415

diff --git a/net-misc/iputils/iputils-20210722.ebuild 
b/net-misc/iputils/iputils-20210722.ebuild
new file mode 100644
index 00000000000..731796a22c5
--- /dev/null
+++ b/net-misc/iputils/iputils-20210722.ebuild
@@ -0,0 +1,173 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# For released versions, we precompile the man/html pages and store
+# them in a tarball on our mirrors.  This avoids ugly issues while
+# building stages, and reduces dependencies.
+# To regenerate man/html pages emerge iputils-99999999[doc] with
+# EGIT_COMMIT set to release tag, all USE flags enabled and
+# tar ${S}/doc folder.
+
+EAPI="7"
+
+PLOCALES="de fr ja pt_BR tr uk zh_CN"
+
+inherit fcaps flag-o-matic meson plocale systemd toolchain-funcs
+
+if [[ ${PV} == "99999999" ]] ; then
+       EGIT_REPO_URI="https://github.com/iputils/iputils.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/iputils/iputils/archive/${PV}.tar.gz -> 
${P}.tar.gz
+               
https://dev.gentoo.org/~whissi/dist/iputils/${PN}-manpages-${PV}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+DESCRIPTION="Network monitoring tools including ping and ping6"
+HOMEPAGE="https://wiki.linuxfoundation.org/networking/iputils";
+
+LICENSE="BSD GPL-2+ rdisc"
+SLOT="0"
+IUSE="+arping caps clockdiff doc gcrypt idn ipv6 nettle nls rarpd rdisc ssl 
static tftpd tracepath traceroute6"
+
+BDEPEND="
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+"
+
+LIB_DEPEND="
+       caps? ( sys-libs/libcap[static-libs(+)] )
+       idn? ( net-dns/libidn2:=[static-libs(+)] )
+       nls? ( virtual/libintl[static-libs(+)] )
+"
+
+RDEPEND="
+       traceroute6? ( !net-analyzer/traceroute )
+       !static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+"
+
+DEPEND="
+       ${RDEPEND}
+       virtual/os-headers
+       static? ( ${LIB_DEPEND} )
+"
+
+if [[ ${PV} == "99999999" ]] ; then
+       BDEPEND+="
+               app-text/docbook-xml-dtd:4.2
+               app-text/docbook-xml-dtd:4.5
+               app-text/docbook-xsl-ns-stylesheets
+               app-text/docbook-xsl-stylesheets
+               dev-libs/libxslt:0
+       "
+fi
+
+src_prepare() {
+       default
+
+       plocale_get_locales > po/LINGUAS || die
+}
+
+src_configure() {
+       use static && append-ldflags -static
+
+       local emesonargs=(
+               -DUSE_CAP="$(usex caps true false)"
+               -DUSE_IDN="$(usex idn true false)"
+               -DBUILD_ARPING="$(usex arping true false)"
+               -DBUILD_CLOCKDIFF="$(usex clockdiff true false)"
+               -DBUILD_PING="true"
+               -DBUILD_RARPD="$(usex rarpd true false)"
+               -DBUILD_RDISC="$(usex rdisc true false)"
+               -DENABLE_RDISC_SERVER="$(usex rdisc true false)"
+               -DBUILD_TFTPD="$(usex tftpd true false)"
+               -DBUILD_TRACEPATH="$(usex tracepath true false)"
+               -DBUILD_TRACEROUTE6="$(usex ipv6 $(usex traceroute6 true false) 
false)"
+               -DBUILD_NINFOD="false"
+               -DNINFOD_MESSAGES="false"
+               -DNO_SETCAP_OR_SUID="true"
+               -Dsystemdunitdir="$(systemd_get_systemunitdir)"
+               -DUSE_GETTEXT="$(usex nls true false)"
+       )
+
+       if [[ "${PV}" == 99999999 ]] ; then
+               emesonargs+=(
+                       -DBUILD_HTML_MANS="$(usex doc true false)"
+                       -DBUILD_MANS="true"
+               )
+       else
+               emesonargs+=(
+                       -DBUILD_HTML_MANS="false"
+                       -DBUILD_MANS="false"
+               )
+       fi
+
+       meson_src_configure
+}
+
+src_compile() {
+       tc-export CC
+       meson_src_compile
+}
+
+src_install() {
+       meson_src_install
+
+       dodir /bin
+       local my_bin
+       for my_bin in $(usex arping arping '') ping ; do
+               mv "${ED}"/usr/bin/${my_bin} "${ED}"/bin/ || die
+       done
+       dosym ping /bin/ping4
+
+       if use tracepath ; then
+               dosym tracepath /usr/bin/tracepath4
+       fi
+
+       if use ipv6 ; then
+               dosym ping /bin/ping6
+
+               if use tracepath ; then
+                       dosym tracepath /usr/bin/tracepath6
+                       dosym tracepath.8 /usr/share/man/man8/tracepath6.8
+               fi
+       fi
+
+       if [[ "${PV}" != 99999999 ]] ; then
+               local -a man_pages
+               local -a html_man_pages
+
+               while IFS= read -r -u 3 -d $'\0' my_bin
+               do
+                       my_bin=$(basename "${my_bin}")
+                       [[ -z "${my_bin}" ]] && continue
+
+                       if [[ -f "${S}/doc/${my_bin}.8" ]] ; then
+                               man_pages+=( ${my_bin}.8 )
+                       fi
+
+                       if [[ -f "${S}/doc/${my_bin}.html" ]] ; then
+                               html_man_pages+=( ${my_bin}.html )
+                       fi
+               done 3< <(find "${ED}"/{bin,usr/bin,usr/sbin} -type f -perm 
-a+x -print0 2>/dev/null)
+
+               pushd doc &>/dev/null || die
+               doman "${man_pages[@]}"
+               if use doc ; then
+                       docinto html
+                       dodoc "${html_man_pages[@]}"
+               fi
+               popd &>/dev/null || die
+       else
+               if use doc ; then
+                       mv "${ED}"/usr/share/${PN} 
"${ED}"/usr/share/doc/${PF}/html || die
+               fi
+       fi
+}
+
+pkg_postinst() {
+       fcaps cap_net_raw \
+               bin/ping \
+               $(usex arping 'bin/arping' '') \
+               $(usex clockdiff 'usr/bin/clockdiff' '')
+}

Reply via email to